# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/can/microchip,mpfs-can.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title:
  Microchip PolarFire SoC (MPFS) can controller

maintainers:
  - Conor Dooley <conor.dooley@microchip.com>

allOf:
  - $ref: can-controller.yaml#

properties:
  compatible:
    oneOf:
      - items:
          - const: microchip,pic64gx-can
          - const: microchip,mpfs-can
      - const: microchip,mpfs-can

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    items:
      - description: AHB peripheral clock
      - description: CAN bus clock

  resets:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - resets

additionalProperties: false

examples:
  - |
    can@2010c000 {
        compatible = "microchip,mpfs-can";
        reg = <0x2010c000 0x1000>;
        clocks = <&clkcfg 17>, <&clkcfg 37>;
        resets = <&clkcfg 17>;
        interrupt-parent = <&plic>;
        interrupts = <56>;
    };
